-- ChatControll
local Raid_Sheet = Apollo.GetAddon("Raid_Sheet")



function Raid_Sheet:ControlChatMessage(tChannel, tMessageInfo)
	local eChannelType = tChannel:GetType()
	
	local PartyChat = 7
	if eChannelType ~= PartyChat then
		return
	end
	
	local Message = tMessageInfo["arMessageSegments"][1]["strText"]
	if Message == nil or Message == "" then
		return
	end
	
	local savetable = self:Split(Message, "_")
	if savetable[1] ~= "RS" then
		return
	end
	self.Raid = savetable[2]
	self.Boss = savetable[3]
	self.Guild = savetable[4]
	if self.Raid == "Datascape" then
		if self.Boss == "Gloomclaw" then
			if self.Guild == "Elysium" then
				local slots = 13
				local wndSheet = self.wndMain:FindChild(self.Boss.."_"..self.Guild)
				for i = 1,slots do
					wndSheet:FindChild("L"..tostring(i)):SetText(savetable[2*i +3])
					wndSheet:FindChild("R"..tostring(i)):SetText(savetable[2*i +4])
				end
			else
			end
		elseif self.Boss == "Lattice" then
			if self.Guild == "Elysium" then
				local slots = 7
				local wndSheet = self.wndMain:FindChild(self.Boss.."_"..self.Guild)
				for i = 1,slots do
					wndSheet:FindChild("N"..tostring(i)):SetText(savetable[3*i+2])
					wndSheet:FindChild("S"..tostring(i)):SetText(savetable[3*i+3])
					wndSheet:FindChild("D"..tostring(i)):SetText(savetable[3*i+4])
				end
				wndSheet:FindChild("D8"):SetText(savetable[3*slots+5])
			else
			end
		elseif self.Boss == "Limbo" then
			if self.Guild == "Elysium" then
				local slots = 7
				local wndSheet = self.wndMain:FindChild(self.Boss.."_"..self.Guild)
				for i = 1,slots do
					wndSheet:FindChild("G1"..tostring(i)):SetText(savetable[3*i+2])
					wndSheet:FindChild("G2"..tostring(i)):SetText(savetable[3*i+3])
					wndSheet:FindChild("G3"..tostring(i)):SetText(savetable[3*i+4])
				end
			else
			end
		elseif self.Boss == "SD" then
		 	if self.Guild == "Elysium" then
				local slots = 9
				local wndSheet = self.wndMain:FindChild(self.Boss.."_"..self.Guild)
				--North / South
				for i = 2,slots do
					wndSheet:FindChild("N"..tostring(i-1)):SetText(savetable[2*i+1])
					wndSheet:FindChild("S"..tostring(i-1)):SetText(savetable[2*i+2])
				end
				--Controll Grp
				slots = 6
				for i = 1,slots do
					wndSheet:FindChild("C"..tostring(i)):SetText(savetable[20+i])
				end
			else
			end
		elseif self.Boss == "Avatus" then
			if self.Guild == "Elysium" then
				local slots = 11 --the save table for Avatus_Elysium has 40 slots and 4 extra for RS and Guild in the beginning
				local wndSheet = self.wndMain:FindChild(self.Boss.."_"..self.Guild)
				for i = 2,slots do
					wndSheet:FindChild("Y"..tostring(i-1)):SetText(savetable[4*i -3])
					wndSheet:FindChild("G"..tostring(i-1)):SetText(savetable[4*i -2])
					wndSheet:FindChild("R"..tostring(i-1)):SetText(savetable[4*i -1])
					wndSheet:FindChild("B"..tostring(i-1)):SetText(savetable[4*i   ])
				end
			elseif self.Guild == "Bloodpact" then
				local slots = 11 --the save table for Avatus_Elysium has 40 slots and 4 extra for RS and Guild in the beginning
				local wndSheet = self.wndMain:FindChild(self.Boss.."_"..self.Guild)
				for i = 2,slots do
					wndSheet:FindChild("Y"..tostring(i-1)):SetText(savetable[4*i -3])
					wndSheet:FindChild("G"..tostring(i-1)):SetText(savetable[4*i -2])
					wndSheet:FindChild("R"..tostring(i-1)):SetText(savetable[4*i -1])
					wndSheet:FindChild("B"..tostring(i-1)):SetText(savetable[4*i   ])
				end
				wndSheet:FindChild("YB1"):SetText(savetable[45])
				wndSheet:FindChild("YB2"):SetText(savetable[46])
			else
			end
		else
		end
	else
		if self.Boss == "Swabbie" then
			if self.Guild == "Elysium" then
				local slots = 7
				local wndSheet = self.wndMain:FindChild(self.Boss.."_"..self.Guild)
				for i = 1,slots do
					wndSheet:FindChild("G1"..tostring(i)):SetText(savetable[3*i+2])
					wndSheet:FindChild("G2"..tostring(i)):SetText(savetable[3*i+3])
					wndSheet:FindChild("G3"..tostring(i)):SetText(savetable[3*i+4])
				end
			else
			end
		else
		end
	end
end