-- Groupfkt for RS
local Raid_Sheet = Apollo.GetAddon("Raid_Sheet")


function Raid_Sheet:OnUpdateRooster()
	if not GroupLib.InRaid()then
		return 
	end
	
	if self.Guild == nil or self.Boss == nil or self.Raid == nil then
		return
	end
	
	local wndSheet = self.wndMain:FindChild(self.Boss.."_"..self.Guild)
	
	if wndSheet ~= nil then
		local groupcount = GroupLib.GetMemberCount()
		local DPS = ""
		local Tanks = ""
		local Healers = ""
		
		for i = 1,groupcount do
			local member = GroupLib.GetGroupMember(i)
			
			if member["bTank"] == true then
				Tanks = Tanks..member["strCharacterName"]..",\n"
			elseif member["bHealer"] == true then
				Healers = Healers..member["strCharacterName"]..",\n"
			else
				DPS = DPS..member["strCharacterName"]..",\n"
			end
		end
		wndSheet:FindChild("DPS1"):SetText(DPS)
		wndSheet:FindChild("Tank1"):SetText(Tanks)
		wndSheet:FindChild("Heal1"):SetText(Healers)
	end
end