--OnClickBoss
local Raid_Sheet = Apollo.GetAddon("Raid_Sheet")
local Guilds = {
	"Elysium",
	"Bloodpact",
	}
---------------------------------------------------------------------------------------------------
-- BossBox Functions
---------------------------------------------------------------------------------------------------
function Raid_Sheet:OnClickBoss(wndHandler, wndControl)
	local SaveString = nil;

	if self.Raid == "Datascape" then
		if self.Boss == "Gloomclaw" then
			if self.Guild == "Elysium" then
				local wndSheet = self.wndMain:FindChild(self.Boss.."_"..self.Guild)
				if wndSheet ~= nil then
					SaveString = "RS".."_"..self.Raid.."_"..self.Boss.."_"..self.Guild
					local slot = 13
					for i = 1, slot do 
						SaveString = SaveString.."_"
						..wndSheet:FindChild("L"..i):GetText().."_"
						..wndSheet:FindChild("R"..i):GetText()
					end
					self.save[self.Raid][self.Boss][self.Guild] = SaveString.."_"
				end
			else
			end
		elseif self.Boss == "Lattice" then
			if self.Guild == "Elysium" then
				local wndSheet = self.wndMain:FindChild(self.Boss.."_"..self.Guild)
				if wndSheet ~= nil then
					SaveString = "RS".."_"..self.Raid.."_"..self.Boss.."_"..self.Guild
					local slots = 7
					for i = 1, slots do 
						SaveString = SaveString.."_"
						..wndSheet:FindChild("N"..i):GetText().."_"
						..wndSheet:FindChild("S"..i):GetText().."_"
						..wndSheet:FindChild("D"..i):GetText()
					end
					SaveString = SaveString.."_"..wndSheet:FindChild("D8"):GetText()
					self.save[self.Raid][self.Boss][self.Guild] = SaveString.."_"
				end
			else
			end
		elseif self.Boss == "Limbo" then
			if self.Guild == "Elysium" then
				local wndSheet = self.wndMain:FindChild(self.Boss.."_"..self.Guild)
				if wndSheet ~= nil then
					SaveString = "RS".."_"..self.Raid.."_"..self.Boss.."_"..self.Guild
					local slots = 7
					for i = 1, slots do 
						SaveString = SaveString.."_"
						..wndSheet:FindChild("G1"..i):GetText().."_"
						..wndSheet:FindChild("G2"..i):GetText().."_"
						..wndSheet:FindChild("G3"..i):GetText()
					end
					self.save[self.Raid][self.Boss][self.Guild] = SaveString.."_"
				end
			else
			end
		elseif self.Boss == "SD" then
			if self.Guild == "Elysium" then
				local wndSheet = self.wndMain:FindChild(self.Boss.."_"..self.Guild)
				if wndSheet ~= nil then
					SaveString = "RS".."_"..self.Raid.."_"..self.Boss.."_"..self.Guild
					--North/South
					for i = 1, 8 do 
						SaveString = SaveString.."_"
						..wndSheet:FindChild("N"..i):GetText().."_"
						..wndSheet:FindChild("S"..i):GetText()
					end
					--control
					for i = 1, 6 do 
						SaveString = SaveString.."_"
						..wndSheet:FindChild("C"..i):GetText()
					end
					self.save[self.Raid][self.Boss][self.Guild] = SaveString.."_"
				end
			else
			end
		elseif self.Boss == "Avatus" then
			if self.Guild == "Elysium" then
				local wndSheet = self.wndMain:FindChild(self.Boss.."_"..self.Guild)
				if wndSheet ~= nil then
					SaveString = "RS".."_"..self.Raid.."_"..self.Boss.."_"..self.Guild
					for i = 1, 10 do 
						SaveString = SaveString.."_"
						..wndSheet:FindChild("Y"..i):GetText().."_"
						..wndSheet:FindChild("G"..i):GetText().."_"
						..wndSheet:FindChild("R"..i):GetText().."_"
						..wndSheet:FindChild("B"..i):GetText()
					end
					self.save[self.Raid][self.Boss][self.Guild] = SaveString.."_"
				end
			elseif self.Guild == "Bloodpact" then
				local wndSheet = self.wndMain:FindChild(self.Boss.."_"..self.Guild)
				if wndSheet ~= nil then
					SaveString = "RS".."_"..self.Raid.."_"..self.Boss.."_"..self.Guild
					for i = 1, 10 do 
						SaveString = SaveString.."_"
						..wndSheet:FindChild("Y"..i):GetText().."_"
						..wndSheet:FindChild("G"..i):GetText().."_"
						..wndSheet:FindChild("R"..i):GetText().."_"
						..wndSheet:FindChild("B"..i):GetText()
					end
					SaveString = SaveString.."_"
					..wndSheet:FindChild("YB1"):GetText().."_"
					..wndSheet:FindChild("YB2"):GetText()
					self.save[self.Raid][self.Boss][self.Guild] = SaveString.."_"
				end
			else
			end
		else
		end
	else
		if self.Boss == "Swabbie" then
			if self.Guild == "Elysium" then
				local wndSheet = self.wndMain:FindChild(self.Boss.."_"..self.Guild)
				if wndSheet ~= nil then
					SaveString = "RS".."_"..self.Raid.."_"..self.Boss.."_"..self.Guild
					local slots = 7
					for i = 1, slots do 
						SaveString = SaveString.."_"
						..wndSheet:FindChild("G1"..i):GetText().."_"
						..wndSheet:FindChild("G2"..i):GetText().."_"
						..wndSheet:FindChild("G3"..i):GetText()
					end
					self.save[self.Raid][self.Boss][self.Guild] = SaveString.."_"
				end
			else
			end
		else
		end
	end

	self.wndMain:FindChild("RaidWindow"):DestroyChildren()
	self.Guild = nil
	self.Boss = wndControl:GetParent():FindChild("Name"):GetText()
	
	if self.wndMain:FindChild("Guild1"):FindChild("GuildBox") ~= nil then
		return
	end
	for k,v in pairs(Guilds) do 
		local Spawrn = self.wndMain:FindChild("Guild"..tostring(k))
		local Guild = Apollo.LoadForm(self.xmlDoc, "GuildBox", Spawrn, self)
		Guild:FindChild("Name"):SetText(v)
	end
end