local Raid_Sheet = Apollo.GetAddon("Raid_Sheet")

---------------------------------------------------------------------------------------------------
-- GuildBox Functions
---------------------------------------------------------------------------------------------------

function Raid_Sheet:OnClickGuild( wndHandler, wndControl, eMouseButton)

	self.Guild = wndControl:GetParent():FindChild("Name"):GetText()
	
	local wndSheet = self.wndMain:FindChild("RaidWindow")
	Apollo.LoadForm(self.xmlDoc, self.Boss.."_"..self.Guild , wndSheet, self)
	
	
	for i = 1,3 do
		self.wndMain:FindChild("Guild"..tostring(i)):DestroyChildren()
	end
	
	if self.save[self.Raid][self.Boss][self.Guild] == nil then
		return
	end
	local savetable = self:Split(self.save[self.Raid][self.Boss][self.Guild], "_")
	if self.Raid == "Datascape" then
		if self.Boss == "Lattice" then
			if self.Guild == "Elysium" then
				local slots = 7
				local wndSheet = self.wndMain:FindChild(self.Boss.."_"..self.Guild)
				for i = 1,slots do
					wndSheet:FindChild("N"..tostring(i)):SetText(savetable[3*i +2])
					wndSheet:FindChild("S"..tostring(i)):SetText(savetable[3*i +3])
					wndSheet:FindChild("D"..tostring(i)):SetText(savetable[3*i +4])
				end
				wndSheet:FindChild("D8"):SetText(savetable[26])
			else
			end
		elseif self.Boss == "Limbo" then
			if self.Guild == "Elysium" then
				local slots = 7
				local wndSheet = self.wndMain:FindChild(self.Boss.."_"..self.Guild)
				for i = 1,slots do
					wndSheet:FindChild("G1"..tostring(i)):SetText(savetable[3*i +2])
					wndSheet:FindChild("G2"..tostring(i)):SetText(savetable[3*i +3])
					wndSheet:FindChild("G3"..tostring(i)):SetText(savetable[3*i +4])
				end
			else
			end
		elseif self.Boss == "SD" then
			if self.Guild == "Elysium" then
				local slots = 9
				local wndSheet = self.wndMain:FindChild(self.Boss.."_"..self.Guild)
				--North/South
				for i = 2,slots do
					wndSheet:FindChild("N"..tostring(i-1)):SetText(savetable[2*i+1])
					wndSheet:FindChild("S"..tostring(i-1)):SetText(savetable[2*i+2])
				end
				--Controll Group
				slots = 6
				for i = 2,slots do
					wndSheet:FindChild("C"..tostring(i-1)):SetText(savetable[20+ i])
				end
			else
			end
		elseif self.Boss == "Avatus" then
			if self.Guild == "Elysium" then
				local slots = 11 --the save table for Avatus_Elysium has 40 slots and 4 extra for RS and Guild in the beginning
				local wndSheet = self.wndMain:FindChild(self.Boss.."_"..self.Guild)
				for i = 2,slots do
					wndSheet:FindChild("Y"..tostring(i-1)):SetText(savetable[4*i -3])
					wndSheet:FindChild("G"..tostring(i-1)):SetText(savetable[4*i -2])
					wndSheet:FindChild("R"..tostring(i-1)):SetText(savetable[4*i -1])
					wndSheet:FindChild("B"..tostring(i-1)):SetText(savetable[4*i   ])
				end
			elseif self.Guild == "Bloodpact" then
				local slots = 11 --the save table for Avatus_Elysium has 40 slots and 4 extra for RS and Guild in the beginning
				local wndSheet = self.wndMain:FindChild(self.Boss.."_"..self.Guild)
				for i = 2,slots do
					wndSheet:FindChild("Y"..tostring(i-1)):SetText(savetable[4*i -3])
					wndSheet:FindChild("G"..tostring(i-1)):SetText(savetable[4*i -2])
					wndSheet:FindChild("R"..tostring(i-1)):SetText(savetable[4*i -1])
					wndSheet:FindChild("B"..tostring(i-1)):SetText(savetable[4*i   ])
				end
				wndSheet:FindChild("YB1"):SetText(45)
				wndSheet:FindChild("YB2"):SetText(46)
			else
			end
		else
		end
	else
	end
	
end